%define realname RULI
%define modname ruli
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A28_%{modname}.ini

Summary:	The %{realname} module for PHP
Name:		php4-%{modname}
Version:	0.36
Release:	%mkrel 5
Group:		Development/PHP
License:	GPL
URL:		http://savannah.nongnu.org/projects/ruli/
Source0:	php-ruli-%{version}.tar.bz2
BuildRequires:	ruli-devel >= %{version}
BuildRequires:	php4-devel
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{rname} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP.
PHP is an HTML-embedded scripting language.
If you need %{realname} support for PHP applications,
you will need to install this package in addition to the php package.

%prep

%setup -q -n ruli-%{version}
mv php/ruli/* .
mv php/README .

%build

php4ize
%configure2_5x \
    --enable-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d
install -m0755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

%{__cat} > README.%{modname} <<EOF
The %{rname} package contains a dynamic shared object (DSO) for PHP.
To activate it, make sure a file /etc/php4.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

%{__cat} > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README* tests ruli_sync_query.php ruli_sync_smtp_query.php ruli.php
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}


%changelog
* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.36-5mdv2007.0
+ Revision: 132284
- rebuilt against new upstream php version (4.4.6)

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.36-4mdv2007.1
+ Revision: 123784
- rebuilt against new upstream php version (4.4.5)

* Mon Dec 18 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.36-3mdv2007.1
+ Revision: 98754
- release bump due to hdlists borkiness
- Import php4-ruli



* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.36-2
- rebuilt for php-4.4.4

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.36-1mdv2007.0
- 0.36
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.35-3mdk
- rebuild

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.35-2mdk
- rebuilt against php-4.4.2

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.35-1mdk
- 0.35
- ripped the php bindings code from the ruli tar ball

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.29-1mdk
- rebuilt for php-4.4.1
- fix versioning

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.29-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.29-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.29-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.29-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.29-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.29-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.29-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_0.29-1mdk
- rebuild for php 4.3.9

* Sun Aug 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_0.29-1mdk
- initial mandrake package
